## gup 0.5.3

=== Makefile ===
#################################################
# Change the following to suit your needs	#
#################################################

CC = cc
P_CFLAGS	= -g -O2 -Wall

# Destination directories for the executable and man page. Note that
# the executable is only used in a .forward so /usr/local/bin may
# not be the most appropriate place - though it doesn't hurt.

BINDIR		= /usr/bin
MANDIR		= /usr/man/man1

#################################################
# DO NOT CHANGE ANYTHING AFTER THIS COMMENT	#
#################################################

SHELL	=	/bin/sh

SRC	=	gup.c wildmat.c misc.c prune.c help.c mail.c \
		log.c newsgroups.c lock.c sort.c \
		rfc822.c

OBJS    =       $(SRC:.c=.o)

HDRS	=	gup.h rfc822.h config.h

CFLAGS  =       $(P_CFLAGS) $(P_NO_FLAGS) $(P_USE_FLAGS) $(P_INCLUDES)

LDFLAGS =       $(P_LDFLAGS) $(P_LIBS)

all:	gup

gup:	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $@

# Lazy and safe
$(OBJS):	$(HDRS) Makefile

install:	$(BINDIR)/gup $(MANDIR)/gup.1

$(BINDIR)/gup:	gup
	cp $? $@

$(MANDIR)/gup.1:	gup.1
	cp $? $@

clean:
	rm -f $(OBJS) gup core a.out

=== debian/changelog ===
gup (0.5.3) frozen unstable; urgency=low

  * Fixed the description in debian/control (Closes #52886).
  * gup.log moved to /var/log/gup/.
  * Removed hardcoded path for ctlinnd in gupdate (Closes: #61901).
  * Now recommends inn or inn2.

 -- Marco d'Itri <md@linux.it>  Fri,  7 Apr 2000 18:24:53 +0200

gup (0.5.2) unstable; urgency=low

  * Fixed detection of failed newsfeeds verification.
  * If newsfeeds.header has been modified then newsfeeds is built
    and reloaded.
  * Signatures are ignored.

 -- Marco d'Itri <md@linux.it>  Fri, 10 Dec 1999 21:07:51 +0100

gup (0.5.1) unstable; urgency=low

  * Corrected /etc/gup.conf path in postinst.
  * Corrected newsfeeds.header name in README.Debian.

 -- Marco d'Itri <md@linux.it>  Sun, 28 Nov 1999 20:49:21 +0100

gup (0.5) unstable; urgency=low

  * Initial Release with some changes from the original codebase and
    removal of portability options for non-POSIX systems.

 -- Marco d'Itri <md@linux.it>  Sun,  3 Oct 1999 19:43:35 +0200

=== debian/control ===
Source: gup
Section: news
Priority: extra
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.1.0.0

Package: gup
Architecture: any
Depends: ${shlibs:Depends}, mail-transport-agent
Recommends: inn | inn2
Description: lets a remote site change their newsgroups subscription
 Gup, the Group Update Program is a Unix mail-server that lets a remote
 site change their newsgroups subscription without requiring the
 intervention of the news administrator at the feed site.
 .
 Gup is suited to news administrators that find they are spending an
 inordinate amount of time editing the INN newsfeeds file on behalf of
 the remote sites.

=== debian/rules ===
#!/usr/bin/make -f
# Original version Copyright by Ian Jackson.

SHELL+= -e

#export DH_VERBOSE=1

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-cd debian && rm -rf tmp files* substvars *debhelper

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp

	dh_installdirs usr/lib/gup etc/logrotate.d/
	install --strip --mode=755 gup debian/tmp/usr/lib/gup
	cp scripts/* debian/tmp/usr/lib/gup
	cp debian/logrotate debian/tmp/etc/logrotate.d/
	dh_installmanpages
	dh_installdocs README INSTALL
	dh_installchangelogs
	dh_installcron
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-arch

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## gup 0.5.8

=== debian/changelog ===
gup (0.5.8) unstable; urgency=low

  * Added all conffiles (Closes: #132206).

 -- Marco d'Itri <md@linux.it>  Sun, 17 Feb 2002 02:00:54 +0100

gup (0.5.7) unstable; urgency=low

  * Included <stdarg.h> (Closes: #87028).

 -- Marco d'Itri <md@linux.it>  Sun, 25 Feb 2001 10:28:44 +0100

gup (0.5.6) unstable; urgency=low

  * Fixed postinst (Closes: #78103, #83377).

 -- Marco d'Itri <md@linux.it>  Thu, 15 Feb 2001 12:25:11 +0100

gup (0.5.5) unstable; urgency=low

  * Fixed -m option (Closes: #69111).

 -- Marco d'Itri <md@linux.it>  Mon, 14 Aug 2000 19:04:21 +0200

gup (0.5.4) unstable; urgency=low

  * Integrated westfalen.de changes from Kai Henningsen <kai@debian.org>:
    + crypted passwords support
    + -G maxgroups switch
    + corrected group counting (Closes: #68773)
  * Removed unused log_filename() variable.
  * Simplified logging code and removed the static buffer buf[].

 -- Marco d'Itri <md@linux.it>  Tue,  8 Aug 2000 22:29:41 +0200

=== debian/control ===
Source: gup
Section: news
Priority: extra
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.5.6.0
Build-Depends: debhelper

Package: gup
Architecture: any
Depends: ${shlibs:Depends}, exim | mail-transport-agent
Recommends: inn | inn2
Description: let a remote site change their newsgroups subscription
 Gup, the Group Update Program is a Unix mail-server that lets a remote
 site change their newsgroups subscription without requiring the
 intervention of the news administrator at the feed site.
 .
 Gup is suited to news administrators that find they are spending an
 inordinate amount of time editing the INN newsfeeds file on behalf of
 the remote sites.

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,13 @@
 	-rm -rf debian/tmp
 
 	dh_installdirs usr/lib/gup etc/logrotate.d/
-	install --strip --mode=755 gup debian/tmp/usr/lib/gup
-	cp scripts/* debian/tmp/usr/lib/gup
+	install --mode=755 gup scripts/* debian/tmp/usr/lib/gup
 	cp debian/logrotate debian/tmp/etc/logrotate.d/
 	dh_installmanpages
 	dh_installdocs README INSTALL
 	dh_installchangelogs
 	dh_installcron
+	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_shlibdeps

## gup 0.5.9

=== debian/changelog ===
gup (0.5.9) unstable; urgency=low

  * Rename /etc/logrotate.d/logrotate in /etc/logrotate.d/gup
    (Closes: #172209).
  * Source a /etc/gup.paths file from the scripts (Closes: #101988).
  * Added support for poison patterns.
    Based on a patch by Otmar Lendl <o.lendl@eunet-ag.at>.

 -- Marco d'Itri <md@linux.it>  Sun, 29 Dec 2002 19:16:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: news
 Priority: extra
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.5.6.0
-Build-Depends: debhelper
+Standards-Version: 3.5.8.0
+Build-Depends: debhelper (>> 4.0.18)
 
 Package: gup
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Original version Copyright by Ian Jackson.

SHELL+= -e

#export DH_VERBOSE=1
export DH_COMPAT=4

D := $(CURDIR)/debian/gup

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	make clean
	dh_clean

binary-arch: checkroot build
	$(checkdir)
	dh_clean -k

	dh_installdirs usr/lib/gup
	install --mode=755 gup scripts/* $D/usr/lib/gup
	dh_installlogrotate
	dh_installmanpages
	dh_installdocs README INSTALL
	dh_installchangelogs
	dh_installcron
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-arch

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## gup 0.5.10

=== debian/changelog ===
gup (0.5.10) unstable; urgency=medium

  * Documented the poison patterns in the man page. (Closes: #179631)
  * Added a "force" argument to gupdate. (Closes: #181356)
  * Allow poison and exclude patterns even if they do not match existing
    groups. (Closes: #181645)
  * Depends on exim4 instead of exim. (Closes: #228578)

 -- Marco d'Itri <md@linux.it>  Wed, 29 Sep 2004 16:24:09 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Original version Copyright by Ian Jackson.

SHELL+= -e

#export DH_VERBOSE=1
export DH_COMPAT=4

D := $(CURDIR)/debian/gup

build:
	dh_testdir
	make
	touch build

clean:
	dh_testdir
	-rm -f build
	make clean
	dh_clean

binary-arch: checkroot build
	dh_testdir
	dh_clean -k

	dh_installchangelogs
	dh_installdocs README INSTALL
	dh_installdirs /usr/lib/gup
	install --mode=755 gup scripts/* $D/usr/lib/gup
	dh_installman gup.8
	dh_installlogrotate
	dh_installcron

	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-arch

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## gup 0.5.11

=== debian/changelog ===
gup (0.5.11) unstable; urgency=medium

  * Fixed aliases files. (Closes: #292275)

 -- Marco d'Itri <md@linux.it>  Thu, 27 Jan 2005 10:18:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: news
 Priority: extra
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.5.8.0
+Standards-Version: 3.6.1.1
 Build-Depends: debhelper (>> 4.0.18)
 
 Package: gup
 Architecture: any
-Depends: ${shlibs:Depends}, exim | mail-transport-agent
+Depends: ${shlibs:Depends}, exim4 | mail-transport-agent
 Recommends: inn | inn2
 Description: let a remote site change their newsgroups subscription
  Gup, the Group Update Program is a Unix mail-server that lets a remote

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 # Original version Copyright by Ian Jackson.
 
 SHELL+= -e
-
-#export DH_VERBOSE=1
-export DH_COMPAT=4
 
 D := $(CURDIR)/debian/gup

## gup 0.5.12

=== debian/changelog ===
gup (0.5.12) unstable; urgency=medium

  * Fixed vlogit() to use va_copy instead of accessing two times a va_list
    variable, which breaks the program on 64 bit architectures.
  * Added missing binary-indep target to debian/rules. (Closes: #395695)

 -- Marco d'Itri <md@linux.it>  Tue, 07 Aug 2007 21:15:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: news
 Priority: extra
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.6.1.1
+Standards-Version: 3.7.2.2
 Build-Depends: debhelper (>> 4.0.18)
 
 Package: gup
 Architecture: any
-Depends: ${shlibs:Depends}, exim4 | mail-transport-agent
+Depends: ${shlibs:Depends}, exim4 | mail-transport-agent, adduser
 Recommends: inn | inn2
 Description: let a remote site change their newsgroups subscription
  Gup, the Group Update Program is a Unix mail-server that lets a remote

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,8 @@
 	dh_gencontrol
 	dh_builddeb
 
+binary-indep:
+
 binary: binary-arch
 
 checkroot:

## gup 0.5.13

=== debian/changelog ===
gup (0.5.13) unstable; urgency=medium

  * Fixed a bashism in postinst. (Closes: #472228)

 -- Marco d'Itri <md@linux.it>  Fri, 04 Apr 2008 19:19:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: news
 Priority: extra
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.7.2.2
+Standards-Version: 3.7.3
 Build-Depends: debhelper (>> 4.0.18)
 
 Package: gup

## gup 0.5.14

=== debian/changelog ===
gup (0.5.14) unstable; urgency=low

  * Really delete the generated files on purge in postrm, not prerm.
    (Closes: #668769)
  * Fixed minus vs. hyphen occurences in gup(8).
  * Packaging updated to modern standards.

 -- Marco d'Itri <md@linux.it>  Mon, 01 Apr 2013 07:36:31 +0200

## gup 0.5.15

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 CC = cc
 P_CFLAGS	= -g -O2 -Wall
+P_LIBS		= -lcrypt
 
 # Destination directories for the executable and man page. Note that
 # the executable is only used in a .forward so /usr/local/bin may

=== debian/changelog ===
gup (0.5.15) unstable; urgency=low

  * Appease the piuparts god by making sure that the gup home directory 
    is created on installs even if the gup user already exists.
    (Closes: #707938)

 -- Marco d'Itri <md@linux.it>  Sun, 25 Aug 2013 01:21:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: news
 Priority: extra
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>> 4.0.18)
+Standards-Version: 3.9.4.0
+Build-Depends: debhelper (>> 9)
 
 Package: gup
 Architecture: any
-Depends: ${shlibs:Depends}, exim4 | mail-transport-agent, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, default-mta | mail-transport-agent, adduser
 Recommends: inn | inn2
 Description: let a remote site change their newsgroups subscription
  Gup, the Group Update Program is a Unix mail-server that lets a remote

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

CFLAGS=-g -O2
-include /usr/share/dpkg/buildflags.mk

D := $(CURDIR)/debian/gup

build:
	dh_testdir
	$(MAKE) $(CROSS) P_CFLAGS="$(CFLAGS) $(CPPFLAGS)" P_LDFLAGS="$(LDFLAGS)"
	touch $@

clean:
	dh_testdir
	-rm -f build
	$(MAKE) clean
	dh_clean

binary-arch: checkroot build
	dh_testdir
	dh_prep

	dh_installchangelogs
	dh_installdocs README INSTALL
	dh_installdirs /usr/lib/gup
	install --mode=755 gup scripts/* $D/usr/lib/gup
	dh_installman gup.8
	dh_installlogrotate
	dh_installcron

	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

binary-indep:

build-arch: build
build-indep: build

binary: binary-arch

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep build-arch build-indep clean checkroot

## gup 0.5.15build1

=== debian/changelog ===
gup (0.5.15build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:27:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gup
 Section: news
 Priority: extra
-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
 Standards-Version: 3.9.4.0
 Build-Depends: debhelper (>> 9)

## gup 0.5.15+nmu1

=== debian/changelog ===
gup (0.5.15+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:20:35 +0800

## gup 0.5.17

=== Makefile ===
#################################################
# Change the following to suit your needs	#
#################################################

CC		= cc
CFLAGS		= -g -O2
CPPFLAGS	= -Wall
LDFLAGS		=
LIBS		= -lcrypt

# Destination directories for the executable and man page. Note that
# the executable is only used in a .forward so /usr/local/bin may
# not be the most appropriate place - though it doesn't hurt.

BINDIR		= /usr/lib/gup
MANDIR		= /usr/share/man/man8

#################################################
# DO NOT CHANGE ANYTHING AFTER THIS COMMENT	#
#################################################

SHELL	=	/bin/sh

SRC	=	gup.c wildmat.c misc.c prune.c help.c mail.c \
		log.c newsgroups.c lock.c sort.c \
		rfc822.c

OBJS	=	$(SRC:.c=.o)

HDRS	=	gup.h rfc822.h config.h

all:	gup

gup:	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) $(LIBS) -o $@

# Lazy and safe
$(OBJS):	$(HDRS) Makefile

install:	$(BINDIR)/gup $(MANDIR)/gup.8 install-scripts

$(BINDIR)/gup:	gup
	$(INSTALL) $? $(DESTDIR)$@

install-scripts: scripts/addsite scripts/gupdate scripts/process scripts/verify
	$(INSTALL) --mode=755 $^ $(DESTDIR)/$(BINDIR)/

$(MANDIR)/gup.8:	gup.8
	cp $? $(DESTDIR)$@

clean:
	rm -f $(OBJS) gup core a.out

=== debian/changelog ===
gup (0.5.17) unstable; urgency=medium

  * Fix the man page section.

 -- Marco d'Itri <md@linux.it>  Thu, 02 Feb 2023 00:29:23 +0100

gup (0.5.16) unstable; urgency=medium

  * Generally update the packaging for modern times.

 -- Marco d'Itri <md@linux.it>  Sun, 29 Jan 2023 13:46:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: gup
 Section: news
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.9.4.0
-Build-Depends: debhelper (>> 9)
+Priority: optional
+Maintainer: Marco d'Itri <md@linux.it>
+Standards-Version: 4.6.2.0
+Build-Depends: debhelper-compat (= 13)
+Rules-Requires-Root: no
+Vcs-Git: https://github.com/rfc1036/gup.git
+Vcs-Browser: https://github.com/rfc1036/gup
 
 Package: gup
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all future=+lfs
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

D := $(CURDIR)/debian/gup

%:
	dh $@

override_dh_auto_build:
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
